# frozen_string_literal: true

require_relative 'lib/ip_address_serializer2/version'

Gem::Specification.new do |spec|
  spec.name          = 'ip_address_serializer2'
  spec.version       = IpAddressSerializer2::VERSION
  spec.authors       = ['Mike Simkins']
  spec.email         = ['software@g7m3.com']

  spec.summary       = 'Gem to enable serialized storage of an IP Address in a string'
  spec.description   = 'ActiveRecord Serializer to allow the storage of a CIDR IP Address in a String Field'
  spec.homepage      = 'https://github.com/g7m3/ip_address_serializer2'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.metadata['allowed_push_host'] = "https://rubygems.org"

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/g7m3/ip_address_serializer2'
  spec.metadata['changelog_uri'] = 'https://github.com/g7m3/ip_address_serializer2/blob.master/CHANGELOG.md'

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'minitest', '~> 5.14'
  spec.add_development_dependency 'rake', '>= 12.3.3'
  spec.add_development_dependency 'coveralls'

  spec.add_dependency 'activemodel', '~> 6.0'
  spec.add_dependency 'ruby-ip2', '~> 0.10'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
end
